Name:           globalprotect-openconnect
Version:        2.4.4
Release:        1%{?dist}
Summary:        A GlobalProtect VPN client powered by OpenConnect
Group:          Productivity/Networking/PPP

License:        GPL-3.0
URL:            https://github.com/yuezk/GlobalProtect-openconnect
Source:         https://github.com/yuezk/GlobalProtect-openconnect/releases/download/v2.4.4/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  rust
BuildRequires:  cargo
BuildRequires:  jq
BuildRequires:  pkg-config
BuildRequires:  openconnect-devel
BuildRequires:  (openssl-devel or libopenssl-devel)
BuildRequires:  wget
BuildRequires:  file
BuildRequires:  perl

%if 0%{?suse_version}
BuildRequires:  webkit2gtk3-devel
%else
BuildRequires:  webkit2gtk4.1-devel
%endif

BuildRequires:  (libappindicator-gtk3-devel or libappindicator3-1)
BuildRequires:  (librsvg2-devel or librsvg-devel)

Requires:       openconnect >= 8.20, (libappindicator-gtk3 or libayatana-appindicator)
Conflicts:      globalprotect-openconnect-snapshot

%global debug_package %{nil}

%description
A GUI for GlobalProtect VPN, based on OpenConnect, supports the SSO authentication method.

%prep
%setup

%postun
rm -f %{_bindir}/gpgui

%build
# The injected RUSTFLAGS could fail the build
unset RUSTFLAGS
make build OFFLINE=0 BUILD_FE=0

%install
%make_install

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/gpgui.desktop
%{_datadir}/icons/hicolor/32x32/apps/gpgui.png
%{_datadir}/icons/hicolor/128x128/apps/gpgui.png
%{_datadir}/icons/hicolor/256x256@2/apps/gpgui.png
%{_datadir}/icons/hicolor/scalable/apps/gpgui.svg
%{_datadir}/polkit-1/actions/com.yuezk.gpgui.policy

%dir /usr/lib/NetworkManager
%dir /usr/lib/NetworkManager/dispatcher.d
%dir /usr/lib/NetworkManager/dispatcher.d/pre-down.d

/usr/lib/NetworkManager/dispatcher.d/pre-down.d/gpclient.down
/usr/lib/NetworkManager/dispatcher.d/gpclient-nm-hook

%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%dir %{_datadir}/icons/hicolor/256x256@2
%dir %{_datadir}/icons/hicolor/256x256@2/apps
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions

%changelog
* Sun Feb 09 2025 Kevin Yue <k3vinyue@gmail.com> - 2.4.4
- Bugfix and improvements
